Skip to main content
PATCH
Edit an enrollee's upcoming step

Authorizations

Authorization
string
header
required

Authenticate with a Bearer token: API key, OAuth token, or session token.

Path Parameters

id
string<uuid>
required

Campaign ID.

enrollment_id
string<uuid>
required

Enrollment ID.

step_id
string<uuid>
required

Step ID from the enrollment's steps (not the campaign step).

Body

application/json
subject
string | null

Only the first email step has its own subject. Later email steps reply in its thread as "Re: ", so a different subject on them is rejected; changing the first subject renames this person's later emails that are not sent yet.

Maximum string length: 998
body_html
string
Maximum string length: 100000

Response

Step updated

success
enum<boolean>
required
Available options:
true
data
object
required